## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name FVS

Name:           python-fvs
Version:        0.3.4
Release:        %{autorelease}
Summary:        File Versioning System with hash comparison and data storage
BuildArch:      noarch
License:        MIT
URL:            https://pypi.org/pypi/%{pypi_name}
Source0:        %{pypi_source %{pypi_name}}
BuildRequires:  python3-devel

%global _description %{expand:
File Versioning System with hash comparison and data storage to create
unlinked states that can be deleted.

Why FVS?

The main reason for this project is for the purpose of personal
knowledge and understanding of the versioning system. The second reason
is to make a simple and easy-to-implement versioning system for
Bottles.

There are plenty of other versioning systems out there, but all of
these provide features that I wouldn't need in my projects. The purpose
of FVS is to always remain as clear and simple as possible, providing
only the functionality of organizing file versions into states, ie
recovery points that take advantage of deduplication to minimize space
consumption.}

%description %_description


%package -n python3-fvs
Summary:        %{summary}
Provides:       fvs = %{?epoch:%{epoch}:}%{version}-%{release}


%description -n python3-fvs %_description


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files fvs


%check
# Package does not provide any tests
# https://github.com/mirkobrombin/FVS/issues/2
%pyproject_check_import


%files -n python3-fvs -f %{pyproject_files}
%doc README.md
%license LICENSE
%{_bindir}/fvs


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.3.4-6
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Nov 10 2023 Sandro <devel@penguinpee.nl> - 0.3.4-3
- Move description

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Apr 25 2023 Sandro <devel@penguinpee.nl> - 0.3.4-1
- Initial release (RHBZ#2187061)
## END: Generated by rpmautospec
